org.apache.velocity.tools.view

## Class BreadcrumbTool.NavigationElement

- java.lang.Object
- - org.apache.velocity.tools.view.BreadcrumbTool.NavigationElement

Enclosing class:
  BreadcrumbTool

    public static class BreadcrumbTool.NavigationElement
    extends Object

Class representing a navigation element

### Constructor Summary

Constructors
Constructor and Description
`NavigationElement(String url, String name)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Displayed name getter
`String` `getUrl()` Destination URL getter
`void` `setName(String name)` Displayed name setter
`void` `setUrl(String url)` Destination URL setter

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NavigationElement

    public NavigationElement(String url,
                             String name)

Constructor

Parameters:
  `url` - destination URL
  `name` - displayed name

### Method Detail

#### getUrl

    public String getUrl()

Destination URL getter

Returns:
  destination URL

#### getName

    public String getName()

Displayed name getter

Returns:
  displayed name

#### setName

    public void setName(String name)

Displayed name setter

Parameters:
  `name` - displayed name

#### setUrl

    public void setUrl(String url)

Destination URL setter

Parameters:
  `url` - destination url